Name: scwm
Summary: A Scheme Configurable Window Manager.
Version: 19980319
Release: 1
Source: http://web.mit.edu/mstachow/www/scwm-19980319.tar.gz
Patch: scwm-19980319.patch
Group: X11/Window Managers
BuildRoot: /tmp/scwmbuild
Copyright: Copyright (C) 1997 Maciej Stachowiak.
Packager: Kjetil Wiekhorst Jrgensen <jorgens@pvv.org>
URL: http://web.mit.edu/mstachow/www/scwm.html

%description
Scwm is the Scheme Configurable Window Manager. This is a highly
dynamic and extensible window manager for the X Window System (based
originally on fvwm2, but now much enhanced) with Guile Scheme as the
configuration/extension language. Nearly all decorations can be
changed at run-time or per-window, and eventually many decoration
styles and additional features will be supported through dynamically
loaded code. A powerful protocol is provided for interacting with the
window manager while it is running.


%changelog
* Wed May 06 1998 Kjetil Wiekhorst Jrgensen <jorgens@pvv.org>

- Initial release of this package.


%prep
%setup
%patch -p1

%build
./configure --prefix=/usr --exec-prefix=/usr/X11R6
make 

%install
make prefix=$RPM_BUILD_ROOT/usr exec_prefix=$RPM_BUILD_ROOT/usr/X11R6 install

%clean
rm -rf $RPM_BUILD_ROOT

%files
%doc ANNOUNCE BUG-REPORTING BUGS COPYING.FVWM COPYING.GPL ChangeLog
%doc GOALS INSTALL NEEDED NEWS README TODO doc
/usr/X11R6/bin/scwmexec
/usr/X11R6/bin/scwmrepl
/usr/X11R6/bin/scwm
%config /usr/X11R6/lib/X11/scwm/system.scwmrc
/usr/share/scwm-modules
